Kerbal Space Program - Bug #5221

Changing symmetry mode in VAB causes crash to desktop
07/08/2015 07:00 PM - chaoticweg

Status: Duplicate Start date: 07/08/2015
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.04 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

KSP Version: 1.0.4 32-bit

Operating System: Ubuntu 14.04 64-bit

Description: Changing symmetry mode in VAB causes crash to desktop
Mods/Addons: fully stock

Steps to reproduce:

1. Place the attached .craft file into (KSP folder)/saves/(save folder)/Ships/VAB

2. Open the attached .craft in the VAB

3. Pick up a 2.5m nose cone from the Aerodynamics tab

4. Hover the nose cone over the attach node on top of the exposed fuel tanks, but do not place it
5. Press X (or symmetry-change button, if remapped) to change the symmetry mode

Result: the game silently crashes to the desktop
This bug was found on my original, modded install, but has been reproduced twice on fully-stock installs.

The craft file that | have had the most luck reproducing the bug with (100% repro. rate) is attached, as well as the Player.log from the
Unity3d config directory and the KSP.log from the KSP root directory.

Related issues:
Related to Kerbal Space Program - Bug #1005: Linux version crashes in VAB at ... Closed 07/14/2013

History

#1 - 07/08/2015 07:54 PM - Squelch

- Status changed from New to Need More Info

Please could you retry your steps but without Steam Overlay? KSP can be run Steam free by navigating to the installation folder and running the
KSP.x86_64 executable directly.

Steam Overlay is a 32 bit process that does not work well together with 64bit games and is known for problems. It can be disabled, but running KSP
directly will remove all other variables. Logs and further information are welcomed.

#2 - 10/19/2015 03:39 PM - yankee
Squelch wrote:

Please could you retry your steps but without Steam Overlay?

| am also having this exact issue, and it persists even with Steam overlay disabled.
Going strictly by chronological order, bugs #1005 and #1182 are duplicates of this bug, yet the discussion has progressed more in those threads.

Here's the output of dmesg from starting KSP until crash. Timestamp beginning at [31969.580043] is when the game crashes. There does not appear
to be any information regarding the cause of the crash, and | forgot how to turn up the verbosity for dmesg.

[31511.814912] bbswitch: enabling discrete graphics

[31512.068435] thinkpad_acpi: EC reports that Thermal Table has changed
[31512.083138] vgaarb: device changed decodes: PCI:0000:01:00.0,0lddecodes=none,decodes=none:owns=none
[31512.083609] [drm] Initialized nvidia-drm 0.0.0 20150116 for 0000:01:00.0 on minor 1
[31512.083616] NVRM: loading NVIDIA UNIX x86_64 Kernel Module 340.93 Wed Aug 19 16:49:15 PDT 2015

[31512.110088] ACPI Warning: \_SB_.PCI0.PEG_.VID_._DSM:

(20150619/nsarguments-95)

[31512.110205] ACPI Warning: \_SB_.PCI0.PEG_.VID_._DSM:

(20150619/nsarguments-95)

[31512.110289] ACPI Warning: \_SB_.PCI0.PEG_.VID . DSM:

(20150619/nsarguments-95)

[31512.110371] ACPI Warning: \_SB_.PCI0.PEG_.VID_._DSM:

(20150619/nsarguments-95)

[31512.110451] ACPI Warning: \_SB_.PCI0.PEG_.VID_._DSM:

(20150619/nsarguments-95)

[31512.110531] ACPI Warning: \_SB_.PCI0.PEG_.VID . DSM:

(20150619/nsarguments-95)

[31512.110887] ACPI Warning: \_SB_.PCI0.PEG_.VID_._DSM:

(20150619/nsarguments-95)

[31512.110968] ACPI Warning: \_SB_.PCI0.PEG_.VID_._DSM:

(20150619/nsarguments-95)

Argument #4 type mismatch - Found [Buffer], ACPI requires [Package]
Argument #4 type mismatch - Found [Buffer], ACPI requires [Package]
Argument #4 type mismatch - Found [Buffer], ACPI requires [Package]
Argument #4 type mismatch - Found [Buffer], ACPI requires [Package]
Argument #4 type mismatch - Found [Buffer], ACPI requires [Package]
Argument #4 type mismatch - Found [Buffer], ACPI requires [Package]
Argument #4 type mismatch - Found [Buffer], ACPI requires [Package]

Argument #4 type mismatch - Found [Buffer], ACPI requires [Package]

[31512.158380] ACPI Error: Field [TBF3] at 278528 exceeds Buffer [NULL] size 262144 (bits) (20150619/dsopcode-236)
[31512.158386] ACPI Error: Method parse/execution failed [\_SB_.PCI0.PEG_.VID_.GETB] (Node ffff880235cac0e0), AE_AML_BUFFER_LIMIT

(20150619/psparse-536)

[31512.158392] ACPI Error: Method parse/execution failed [\_SB_.PCI0.PEG_.VID_._ROM] (Node ffff880235cac108), AE_AML_BUFFER_LIMIT

(20150619/psparse-536)

[31512.211003] ACPI Warning: \_SB_.PCI0.PEG_.VID_._DSM:

(20150619/nsarguments-95)

Argument #4 type mismatch - Found [Buffer], ACPI requires [Package]

[31512.623421] thinkpad_acpi: asked for hotkey mask 0x0070ffbf, but firmware forced it to 0x0070ffbb

[31969.580043] [drm] Module unloaded
[31969.599801] bbswitch: disabling discrete graphics

[31969.599811] ACPI Warning: \_SB_.PCI0.PEG_.VID_._DSM:

(20150619/nsarguments-95)

Argument #4 type mismatch - Found [Buffer], ACPI requires [Package]

[31969.614433] pci 0000:01:00.0: Refused to change power state, currently in DO
[31969.615054] thinkpad_acpi: EC reports that Thermal Table has changed

#3 - 11/20/2015 01:10 PM - sal_vager

- Related to Bug #1005: Linux version crashes in VAB at certain times when using symmetry added

#4 - 11/20/2015 01:12 PM - sal_vager
- Status changed from Need More Info to Duplicate

- % Done changed from 0 to 100

Duplicate of #1005
